Forums | Admin

Discussion Forums: help

Start New Thread Start New Thread

 

By: Charlie Savage
RE: ruby-prof on ruby 1.8.4 + amd64? [ reply ]  
2007-07-11 20:27
Hi Jeremy - this should be fixed in ruby-prof 0.5.0.

Thanks - Charlie

By: Jeremy Kemper
ruby-prof on ruby 1.8.4 + amd64? [ reply ]  
2006-10-06 19:36
$ uname -a
Linux ks 2.6.15-27-amd64-k8 #1 SMP PREEMPT Sat Sep 16 01:57:42 UTC 2006 x86_64 GNU/Linux
$ ruby -v
ruby 1.8.4 (2005-12-24) [x86_64-linux]
$ ruby -rubygems -e 'require "unprof"; "abc".size'
/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:33:in `require': integer 23456248293192 too big to convert to `int' (RangeError)
from -e:1